Skip to main content
GET
/
events
/
{id}
Get an event
curl --request GET \
  --url https://api.nomos.energy/events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "evt_f2oql7t4tjduu33fu1bm6u20",
  "topic": "subscription.created",
  "timestamp": "2024-03-14T12:00:00Z",
  "context": {
    "subscription": "sub_gela9qukr0dzjm2t97mxr16l",
    "lead": "lead_s8qajxpqveh76pafmw491d0r"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Example:

"evt_n7dzfmvvd2yfoz01j02hnll5"

Response

Retrieve the event details

id
string
required

Unique identifier for the webhook event

Example:

"evt_f2oql7t4tjduu33fu1bm6u20"

topic
enum<string>
required

Event type identifier

Available options:
subscription.created
Example:

"subscription.created"

timestamp
required

Timestamp when the event was created

Example:

"2024-03-14T12:00:00Z"

context
object
required

The context of the subscription.created event